GET /addresses
Operation ID: findAddresss
Auth: unknown
Description
Returns a list of your addresses.
Parameters (8)
(string, query, optional, default: null)
If present, only returns results with the <code>address_book</code> flag set to the given value.
(string, query, optional)
If present, addresses with <code>customer_reference</code> containing the given value will be returned. Matching is not case-sensitive.
(string, query, optional)
Filter addresses via the customer reference set. Matching is not case-sensitive.
(string, query, optional, default: null)
If present, addresses with <code>street_address</code> containing the given value will be returned. Matching is not case-sensitive. Requires at least three characters.
(string, query, optional, default: null)
If set as 'true', only addresses used as the emergency address for at least one active phone-number will be returned. When set to 'false', the opposite happens: only addresses not used as the emergency address from phone-numbers will be returned.
(integer, query, optional, default: 1)
The page number to load.
Constraints: {'minimum': 1}
(integer, query, optional, default: 20)
The size of the page.
Constraints: {'minimum': 1, 'maximum': 250}
(string, query, optional, default: created_at)
Specifies the sort order for results. By default sorting direction is ascending. To have the results sorted in descending order add the <code> -</code> prefix.<br/><br/> That is: <ul> <li> <code>street_address</code>: sorts the result by the <code>street_address</code> field in ascending order. </li> <li> <code>-street_address</code>: sorts the result by the <code>street_address</code> field in descending order. </li> </ul> <br/> If not given, results are sorted by <code>created_at</code> in descending order.
Constraints: {'enum': ['created_at', 'first_name', 'last_name', 'business_name', 'street_address']}
No probe data for this endpoint yet.